require 'spec_helper'

describe Medlink::Activity do

  describe ":create" do

  	context "valid token" do

  		let(:institution) 	{ Medlink::Institution.new(google_place_id: "ChIJ-20X9ElH60cR1cy3oTYZ3N4") }
  		let(:user) 					{ Medlink::User.new(id: 427899) }
  		let(:activity) 			{ Medlink::Activity.new(user: user, source: "rspec", institution: institution) }

	    before(:each) do
	      VCR.use_cassette "activities" do
	      	@created_activity = activity.create
	      end
	    end

	    it { expect(@created_activity.id).to_not be_nil }
  	end

  end

end