require 'bundler/setup'
require 'webmock/rspec'
require 'vcr'
require 'awesome_print'

require_relative '../lib/medlink.rb'

VCR.configure do |c|
  c.cassette_library_dir = 'spec/cassettes'
  c.hook_into :webmock
  c.allow_http_connections_when_no_cassette = false
  c.before_record do |i|
    i.response.body.force_encoding('UTF-8')
  end
end

RSpec.configure do |c|
  c.before(:each) do
  	Medlink.configure do |config|
			config.token = "b12186d9d390fc2d9df5d6869fc0c008"
		end
  end
end